package org.bench4q.share.models.master.plugin;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class BehaviorInfoModel extends ParamsContainerModel {

	private String behaviorType;
	private List<GroupModel> groupModels;

	@XmlElement
	public String getBehaviorType() {
		return behaviorType;
	}

	public void setBehaviorType(String behaviorType) {
		this.behaviorType = behaviorType;
	}

	@XmlElementWrapper(name = "groups")
	@XmlElement(name = "group", type = GroupModel.class)
	public List<GroupModel> getGroupModels() {
		return groupModels;
	}

	public void setGroupModels(List<GroupModel> groupModels) {
		this.groupModels = groupModels;
	}

}
